package com.atguigu.tingshu.listener;

import com.atguigu.tingshu.model.CDCEntity;
import io.xzxj.canal.core.annotation.CanalListener;
import io.xzxj.canal.core.listener.EntryListener;
import lombok.extern.slf4j.Slf4j;

import java.util.Set;

/**
 * @author: atguigu
 * @create: 2025-03-21 15:47
 */
@Slf4j
@CanalListener(destination = "tingshuTopic", schemaName = "tingshu_user", tableName = "user_info")
public class UserListener implements EntryListener<CDCEntity> {

    @Override
    public void update(CDCEntity before, CDCEntity after, Set<String> fields) {
        log.info("[cdc]监听到变更数据");
        EntryListener.super.update(before, after, fields);
    }
}
